<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="styles.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pokedex</title>
</head>
<body>
    <div class="container">
        <header>
            <h1>Pokedex</h1>
        </header>
        <div class="pokedex">
            <div class="all-pokemon">
                <h2>All Pokemon</h2>
                <ul id="all-pokemon-list">
                </ul>
            </div>
            <div class="caught-pokemon">
                <h2>Caught Pokemon</h2>
                <ul id="caught-pokemon-list">
                </ul>
            </div>
        </div>
    </div>
    <script>
        const allPokemonList = document.getElementById('all-pokemon-list');
        const caughtPokemonList = document.getElementById('caught-pokemon-list');

        fetch('https://e672-47-247-159-210.ngrok-free.app/pokemons', {
            headers: {
                'ngrok-skip-browser-warning': 'skip-browser-warning'
            }
        })
            .then(response => response.json())
            .then(data => {
               
            })
            .catch(error => console.error('Error fetching data:', error));
    </script>
</body>
</html>
